%global npm_name extglob
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 3.0.0
Release: %mkrel 6
Summary: Extended glob support for JavaScript
License: MIT
Group: Development/Other
URL: https://github.com/micromatch/extglob
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(array-unique) >= 0.3.2
Requires: npm(array-unique) < 1.0.0
Requires: npm(define-property) >= 2.0.2
Requires: npm(define-property) < 3.0.0
Requires: npm(expand-brackets) >= 4.0.0
Requires: npm(expand-brackets) < 5.0.0
Requires: npm(fragment-cache) >= 0.2.1
Requires: npm(fragment-cache) < 1.0.0
Requires: npm(regex-not) >= 1.0.0
Requires: npm(regex-not) < 2.0.0
Requires: npm(snapdragon) >= 0.12.0
Requires: npm(snapdragon) < 1.0.0
Requires: npm(snapdragon-capture) >= 0.2.0
Requires: npm(snapdragon-capture) < 1.0.0
Requires: npm(to-regex) >= 3.0.1
Requires: npm(to-regex) < 4.0.0
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md
%doc changelog.md



%changelog
* Fri Jun 27 2025 umeabot <umeabot> 3.0.0-6.mga10
+ Revision: 2209360
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 3.0.0-5.mga9
+ Revision: 1819965
- Mageia 9 Mass Rebuild

* Fri May 15 2020 joequant <joequant> 3.0.0-4.mga8
+ Revision: 1584084
- recompute deps

* Wed Feb 12 2020 umeabot <umeabot> 3.0.0-3.mga8
+ Revision: 1502651
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 3.0.0-2.mga7
+ Revision: 1280473
- Mageia 7 Mass Rebuild

* Thu May 03 2018 kekepower <kekepower> 3.0.0-1.mga7
+ Revision: 1225062
- imported package nodejs-extglob

